<div class="container">

  <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>
        First Name:
        <input  type="text" 
                class="form-control" 
                formControlName="firstName"
                 required>
        <div  class="alert alert-danger" 
              *ngIf="!firstName.valid && firstName.touched">First Name is required.</div>
      </label>
    </div>

    <div class="form-group">
      <label>
        Last Name:
        <input type="text" class="form-control" formControlName="lastName">
      </label>
    </div>

    <button type="submit" class="btn btn-primary" [disabled]="!profileForm.valid">Submit</button>

  </form>
  </div>
  
  <div>

    <p>
      <br>
      <button (click)="updateProfile()">Update Profile</button>
    </p>
    
    <p>
      Form Status: {{ profileForm.status }}
    </p>
  </div>
    